<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Your Notes Table!</title>
    <style>
        .header {
            background-color: rgb(121, 8, 131);
            color: rgb(255, 190, 10);
            height: 50px;
            padding: 95px;
            text-align: center;
        }
        .table-style{
            border-collapse: collapse;
            margin: 32px 0;
            font-size: 0.9em;
            min-width: 400px;
            border-radius: 5 px 5 px 0 0;
        }
        .table-style thead tr{
            background-color: rgb(121, 8, 131);
            color: rgb(255, 190, 10);
            text-align: center;
            font-weight: bold;
        }
        .table-style th,
        .table-style td{
            padding: 12px 15px;

        }
        .table-style tbody tr{
            border-bottom: 1px solid rgb(121, 8, 131);
        }

        *{
            font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
        }
        
    </style>
     <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-uWxY/CJNBR+1zjPWmfnSnVxwRheevXITnMqoEIeG1LJrdI0GlVs/9cVSyPYXdcSF" crossorigin="anonymous">

    <ul class="nav justify-content-center" style="background-color:rgb(255, 190, 10);">
      <li class="nav-item">
        <a class="nav-link active" aria-current="page" href="#">Note Table</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="add-note">Add Note</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="note-list">Note Card</a>
      </li>
    </ul>

  </head>
  <body style="background-color: rgb(255, 190, 10)">
    <header class="header";> 
        <h1>Your Note Table!</h1>
    </header>
    <center>
      <table class="table-style">
        <thead>
          <tr>
            <th>To</th>
            <th>From</th>
            <th>Title</th>
            <th>Message</th>
          </tr>
        </thead> 
        <!-- EXAMPLE SECTION -->
        {% for data in notes %} 
          <tbody>
            <tr>
              <td>{{data.NoteTo}}</td>
              <td>{{data.NoteFrom}}</td>
              <td>{{data.NoteTitle}}</td>
              <td>{{data.NoteMessage}}</td>
            </tr>
          </tbody>
          <!-- END SECTION -->
        {% endfor %}
      </table>
    </center>
  </body>
</html>



